Bug 65505 - redhat-config-users crashes when ran from menu in GNOME and from terminal emulation
redhat-config-users crashes when ran from menu in GNOME and from terminal emu...
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 01:02 EDT by bjwong1000
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-29 18:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bjwong1000 2002-05-26 01:02:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
The Redhat User Management (redhat-config-users) crashes when executed.  It 
pops up for a split second then disappears.  I ran the program from shell and 
the very last line in the long error message says something to the effect 
of "List index out of bounds."  I have read another bug report that says to 
make sure to have eel 1.0.2-10 but I have installed.  That particular 
bug report is #63211.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Simply start redhat-config-users in shell or User Management from Program | 
System menu in GNOME


Actual Results:  User management pops up for a split-second then disappears

Expected Results:  User Management STAYS open so that I can add, edit, or 
delete users.

Additional info:
Comment 1 Warren Togami 2002-05-26 02:45:58 EDT
I can't reproduce this problem on my two tested systems. 
Comment 2 bjwong1000 2002-05-26 05:44:14 EDT
I should have added that User manager was fine when RH 7.3 was first installed 
but after installing some programs such as StarOffice 5.2 and gaim, it no 
longer worked.  I'm not sure if those programs are at fault as this is the 
first time I tried running User Manager after installing the above programs.

Would a uninstall then reinstall of redhat-config-users fix the problem?
Comment 3 Warren Togami 2002-05-26 06:31:04 EDT
Does it crash both when you are logged into root, and when you are logged into a
non-root user (then type root password)?
Comment 4 bjwong1000 2002-05-26 16:37:30 EDT
Yes, it crashes both under the root account and under a SU'ed account.
Comment 5 bjwong1000 2002-05-28 11:57:50 EDT
This is the error message that pops up when I start redhat-config-users from the
shell under KDE (I changed desktops hoping the problem would go away, but it did

/usr/share/redhat-config-users/userWindow.py:73: DeprecationWarning: use
Traceback (most recent call last):
   File "/usr/share/redhat-config-users/redhat-config-users.py", line 36, in ?
   File "/usr/share/redhat-config-users/mainWindow.py", line 229, in __init__
   File "/usr/share/redhat-config-users/mainWindow.py", line 394, in refresh
   File "/usr/share/redhat-config-users/mainWindow.py", line 303, in
      gidNumber = userEnt.get(libuser.GIDNUMBER[0]
IndexError: list index out of range

I typed this myself because I did not see a Copy command.  I double-checked it
for errors.
I hope this helps in figuring out what the problem might be.

Additional note: I erased the program with RPM (rpm -ev redhat-config-users)
then reinstalled it (rpm -ivh redhat-config-users-1.0.1-5.noarch.rpm) but the
problem remains.
Comment 6 Brent Fox 2002-05-28 12:27:20 EDT
Please attach your /usr/share/redhat-config-users/mainWindow.py file.  I'm
concerned that it's been corrupted somehow.  From looking at the traceback
above, it appears that the error is at line 303:

gidNumber = userEnt.get(libuser.GIDNUMBER[0]

But it should look like:

gidNumber = userEnt.get(libuser.GIDNUMBER)[0]

As you can see, there is a closing parenthesis missing from the line in your
file.  Maybe it was just an error cutting and pasting into the Bugzilla report...
Comment 7 bjwong1000 2002-05-29 18:18:49 EDT
The error has been resolved!  It turned out not to be the mainWindow.py file.  
The tech support guys that built our Linux system instructed me to 
run "kusers" because he suspected that either one or more files were damaged 
by redhat-config-users: shadow, users, passwd.  After "kusers" played with the 
files redhat-config-users no longer crashed.
Comment 8 Brent Fox 2002-05-29 19:21:53 EDT
Um, ok.  The real question is why did the files get messed up in the first
place, but I guess we may never know.  I'm going to resolve this bug as
'worksforme' since I am unable to reproduce the behavior.  Thanks for your report.
Comment 9 Warren Togami 2002-06-03 21:27:17 EDT
Bug 65577 describes a reproducible method of making corrupted passwd files. 
While that is a seperate problem, this shouldn't cause redhat-config-users to
crash like this.

Note You need to log in before you can comment on or make changes to this bug.